VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::IdeAddressInfo Class Reference

The `IdeAddressInfo` class contains information about the address of a virtual device that is attached to a virtual IDE adapter of a virtual machine. More...

List of all members.

## Public Member Functions
| IdeAddressInfo ()
| Creates a default new instance.
bool | GetPrimary ()
| Flag specifying whether the device is attached to the primary or secondary IDE adapter of the virtual machine.
void | SetPrimary (bool primary)
| Flag specifying whether the device is attached to the primary or secondary IDE adapter of the virtual machine.
bool | GetMaster ()
| Flag specifying whether the device is the master or slave device on the IDE adapter.
void | SetMaster (bool master)
| Flag specifying whether the device is the master or slave device on the IDE adapter.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `IdeAddressInfo` class contains information about the address of a virtual device that is attached to a virtual IDE adapter of a virtual machine.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::IdeAddressInfo::IdeAddressInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::IdeAddressInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::IdeAddressInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::IdeAddressInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::IdeAddressInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::IdeAddressInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::IdeAddressInfo::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vcenter::vm::hardware::IdeAddressInfo::GetHashCode | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::IdeAddressInfo::GetMaster | ( |  | ) | `[inline]`

Flag specifying whether the device is the master or slave device on the IDE adapter.

bool vmware::vcenter::vm::hardware::IdeAddressInfo::GetPrimary | ( |  | ) | `[inline]`

Flag specifying whether the device is attached to the primary or secondary IDE adapter of the virtual machine.

void vmware::vcenter::vm::hardware::IdeAddressInfo::SetMaster | ( | bool | master | ) | `[inline]`

Flag specifying whether the device is the master or slave device on the IDE adapter.

void vmware::vcenter::vm::hardware::IdeAddressInfo::SetPrimary | ( | bool | primary | ) | `[inline]`

Flag specifying whether the device is attached to the primary or secondary IDE adapter of the virtual machine.

override string vmware::vcenter::vm::hardware::IdeAddressInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- IdeAddressInfo.cs